Loading...
Searching...
No Matches
cl::Image1DBuffer Class Reference

Image interface for 1D buffer images. More...

`#include <opencl.hpp>`

Inheritance diagram for cl::Image1DBuffer:

## Public Member Functions

| Image1DBuffer (const Context &context, cl_mem_flags flags, ImageFormat format, size_type width, const Buffer &buffer, cl_int *err=nullptr)
| Image1DBuffer (const Context &context, const vector< cl_mem_properties > &properties, cl_mem_flags flags, ImageFormat format, size_type width, const Buffer &buffer, cl_int *err=nullptr)
| Constructs a Image1DBuffer with specified properties.
| Image1DBuffer (const cl_mem &image1D, bool retainObject=false)
| Constructor from cl_mem - takes ownership.
Image1DBuffer & | operator= (const cl_mem &rhs)
Public Member Functions inherited from cl::Image
template<typename T>
cl_int | getImageInfo (cl_image_info name, T *param) const
| Wrapper for clGetImageInfo().
template<cl_image_info name>
detail::param_traits< detail::cl_image_info, name >::param_type | getImageInfo (cl_int *err=nullptr) const
| Wrapper for clGetImageInfo() that returns by value.
Public Member Functions inherited from cl::Memory
| Memory ()
| Default constructor - initializes to nullptr.
| Memory (const cl_mem &memory, bool retainObject)
| Constructor from cl_mem - takes ownership.
Memory & | operator= (const cl_mem &rhs)
| Assignment operator from cl_mem - takes ownership.
template<typename T>
cl_int | getInfo (cl_mem_info name, T *param) const
| Wrapper for clGetMemObjectInfo().
template<cl_mem_info name>
detail::param_traits< detail::cl_mem_info, name >::param_type | getInfo (cl_int *err=nullptr) const
| Wrapper for clGetMemObjectInfo() that returns by value.
cl_int | setDestructorCallback (void(CL_CALLBACK *pfn_notify)(cl_mem, void *), void *user_data=nullptr)
| Registers a callback function to be called when the memory object is no longer needed.
Public Member Functions inherited from cl::detail::Wrapper< cl_mem >
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
const cl_type & | operator() () const
cl_type | get () const

## Additional Inherited Members

Public Types inherited from cl::detail::Wrapper< cl_mem >
typedef cl_mem | cl_type
Protected Member Functions inherited from cl::Image
| Image ()
| Default constructor - initializes to nullptr.
| Image (const cl_mem &image, bool retainObject=false)
| Constructor from cl_mem - takes ownership.
Image & | operator= (const cl_mem &rhs)
| Assignment from cl_mem - performs shallow copy.
Protected Member Functions inherited from cl::detail::Wrapper< cl_mem >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_mem >
cl_type | object_

## Detailed Description

Image interface for 1D buffer images.

Definition at line 4970 of file opencl.hpp.

## Constructor & Destructor Documentation

## Image1DBuffer() [1/4]

cl::Image1DBuffer::Image1DBuffer | ( | const Context & | context,
|  | cl_mem_flags | flags,
|  | ImageFormat | format,
|  | size_type | width,
|  | const Buffer & | buffer,
|  | cl_int * | err = nullptr )

inline

Definition at line 4973 of file opencl.hpp.

## Image1DBuffer() [2/4]

cl::Image1DBuffer::Image1DBuffer | ( |  | ) |

inline

Definition at line 5002 of file opencl.hpp.

## Image1DBuffer() [3/4]

cl::Image1DBuffer::Image1DBuffer | ( | const Context & | context,
|  | const vector< cl_mem_properties > & | properties,
|  | cl_mem_flags | flags,
|  | ImageFormat | format,
|  | size_type | width,
|  | const Buffer & | buffer,
|  | cl_int * | err = nullptr )

inline

Constructs a Image1DBuffer with specified properties.

Wraps clCreateImageWithProperties().

Parameters

  properties | Optional list of properties for the image object and their corresponding values. The non-empty list must end with 0.
  buffer | Refer to a valid buffer or image memory object.

Definition at line 5014 of file opencl.hpp.

## Image1DBuffer() [4/4]

cl::Image1DBuffer::Image1DBuffer | ( | const cl_mem & | image1D,
|  | bool | retainObject = false )

inline explicit

Constructor from cl_mem - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. See Memory for further details.

Definition at line 5048 of file opencl.hpp.

## Member Function Documentation

## operator=()

Image1DBuffer & cl::Image1DBuffer::operator= | ( | const cl_mem & | rhs | ) |

inline

Definition at line 5051 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp